cordova.define("cordova-plugin-cropper.Cropper", function(require, exports, module) {
var exec = require('cordova/exec');

var Cropper = {
  errorCallback: function (msg) {
    console.error('Cropper Callback Error: ' + msg)
  },

  callNative: function (name, args, successCallback, errorCallback) {
    if (errorCallback) {
      cordova.exec(successCallback, errorCallback, 'Cropper', name, args)
    } else {
      cordova.exec(successCallback, this.errorCallback, 'Cropper', name, args)
    }
  },

  /**
   * 展示阅卷
   * @param  {option} 初始化参数
   * @param  {Function} successCallback 成功回调
   * @return {void}  
   */
  cropper: function (option, successCallback, errorCallback) {
    option = option || {}
    this.callNative('cropper', [option], successCallback, errorCallback)
  },
  /**
   * 退出阅卷回调
   * @param  {Function} successCallback 成功回调
   * @return {void}  
   */
  onExit: function (successCallback) {
    this.callNative('onExit', [], successCallback, null)
  },

  /**
   * 保存图片
   * @param  {Function} successCallback 成功回调
   * @return {void}  
   */
  saveImage: function (option,successCallback) {
    this.callNative('saveImgage', [option], successCallback, null)
  }
}
module.exports = Cropper;

});
