cordova.define("cordova-plugin-mark.Mark", function (require, exports, module) {
  var exec = require('cordova/exec');

  var Mark = {
    errorCallback: function (msg) {
      console.error('Mark Callback Error: ' + msg)
    },

    callNative: function (name, args, successCallback, errorCallback) {
      if (errorCallback) {
        cordova.exec(successCallback, errorCallback, 'Mark', name, args)
      } else {
        cordova.exec(successCallback, this.errorCallback, 'Mark', name, args)
      }
    },

    /**
     * 展示阅卷
     * @param  {option} 初始化参数
     * @param  {Function} successCallback 成功回调
     * @return {void}  
     */
    show: function (option, successCallback, errorCallback) {
      option = option || {}
      this.callNative('show', [option], successCallback, errorCallback)
    },

    /**
      * 展示作业阅卷
      * @param  {option} 初始化参数
      * @param  {Function} successCallback 成功回调
      * @return {void}  
      */
    showHomework: function (option, successCallback, errorCallback) {
      option = option || {}
      this.callNative('showHomework', [option], successCallback, errorCallback)
    },
    /**
     * 展示图片
     * @param  {option} 初始化参数
     * @param  {Function} successCallback 成功回调
     * @return {void}  
     */
    showImage: function (option, successCallback, errorCallback) {
      option = option || {}
      this.callNative('showImage', [option], successCallback, errorCallback)
    },
    /**
     * 退出阅卷回调
     * @param  {Function} successCallback 成功回调
     * @return {void}  
     */
    onExit: function (successCallback) {
      this.callNative('onExit', [], successCallback, null)
    }
  }
  module.exports = Mark;

});
